@import '../../assets/variables';

.form{
    position: relative;
    display: flex;
    flex-direction: column;
    align-self: center;
    justify-content: center;
    width: 400px;
    height: 500px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    padding:80px;

    h2{
        align-self: center;
        margin-bottom: 25px;
        font-size: $fs-xl;
    }

    border-radius: $radius-light;
    .label{
        position: relative;
        margin-top: 10px;
    }
    .btn{
        position: relative;
        margin-top: 20px;
        border-radius: $radius-normal;
        cursor: pointer;
    }

    input{
        width: 100%;
        background: transparent;
        border-radius: $radius-light;
        border: 1px solid black;
        padding: 5px;
    }
    button{
        position: relative;
        background: $primary;
        align-self: center;
        color: #fff;
        width: 100px;
        height: 30px;
        border-radius: 20%;
        border: 1px solid #fff;
        font-size: $fs-normal;
        margin-top: 40px;
        transition: all ease-in-out 0.2s;

        &:hover{
            background: $secondary;
            color: #000;
        }
        &:active{
            border: 1px solid black;
        }
    }

    span{
        position: relative;
        text-align: center;
        white-space: nowrap;
        font-size: $fs-xs;
        text-decoration: underline;
        cursor: pointer;
        margin: 15px 0;
        transition: all ease-in-out 0.2s;
        &:hover{
            color: $secondary;
        }

        &:active{
            transform: scale(1.1);
        }
    }
}